<?php

if ( ! function_exists( 'oaza_mikado_logo_meta_box_map' ) ) {
	function oaza_mikado_logo_meta_box_map() {
		
		$logo_meta_box = oaza_mikado_create_meta_box(
			array(
				'scope' => apply_filters( 'oaza_mikado_filter_set_scope_for_meta_boxes', array( 'page', 'post' ), 'logo_meta' ),
				'title' => esc_html__( 'Logo', 'oaza' ),
				'name'  => 'logo_meta'
			)
		);
		
		oaza_mikado_create_meta_box_field(
			array(
				'name'        => 'mkdf_logo_image_meta',
				'type'        => 'image',
				'label'       => esc_html__( 'Logo Image - Default', 'oaza' ),
				'description' => esc_html__( 'Choose a default logo image to display ', 'oaza' ),
				'parent'      => $logo_meta_box
			)
		);
		
		oaza_mikado_create_meta_box_field(
			array(
				'name'        => 'mkdf_logo_image_dark_meta',
				'type'        => 'image',
				'label'       => esc_html__( 'Logo Image - Dark', 'oaza' ),
				'description' => esc_html__( 'Choose a default logo image to display ', 'oaza' ),
				'parent'      => $logo_meta_box
			)
		);
		
		oaza_mikado_create_meta_box_field(
			array(
				'name'        => 'mkdf_logo_image_light_meta',
				'type'        => 'image',
				'label'       => esc_html__( 'Logo Image - Light', 'oaza' ),
				'description' => esc_html__( 'Choose a default logo image to display ', 'oaza' ),
				'parent'      => $logo_meta_box
			)
		);
		
		oaza_mikado_create_meta_box_field(
			array(
				'name'        => 'mkdf_logo_image_sticky_meta',
				'type'        => 'image',
				'label'       => esc_html__( 'Logo Image - Sticky', 'oaza' ),
				'description' => esc_html__( 'Choose a default logo image to display ', 'oaza' ),
				'parent'      => $logo_meta_box
			)
		);
		
		oaza_mikado_create_meta_box_field(
			array(
				'name'        => 'mkdf_logo_image_mobile_meta',
				'type'        => 'image',
				'label'       => esc_html__( 'Logo Image - Mobile', 'oaza' ),
				'description' => esc_html__( 'Choose a default logo image to display ', 'oaza' ),
				'parent'      => $logo_meta_box
			)
		);
	}
	
	add_action( 'oaza_mikado_action_meta_boxes_map', 'oaza_mikado_logo_meta_box_map', 47 );
}